﻿@page "/fetchdata"

@using Blazor.Data
@using Commons.Utils
@using Commons.ViewModels
@inject WeatherForecastService ForecastService
@inject IAgreementService AgreementService

<h1>Weather forecast</h1>

<p>This component demonstrates fetching data from a service.</p>

@if (agreements == null)
{
    <p><em>Loading...</em></p>
}
else
{
    <table class="table">
        <thead>
            <tr>
                <th>Name</th>
                <th>Description</th>
                <th>Amount</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var agreement in agreements)
            {
    <tr>
        <td>@agreement.Name</td>
        <td>@(agreement.Description != null ? agreement.Description : "no entry")</td>
        <td>@agreement.Amount</td>
    </tr>}
        </tbody>
    </table>
}

@code {
    private List<AgreementsDTO> agreements;
    protected override async Task OnInitializedAsync()
    {
        agreements = await AgreementService.GetAgreements();
    }
}
